summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'dev-python/flask-uploads/flask-uploads-0.1.3.ebuild')
-rw-r--r--dev-python/flask-uploads/flask-uploads-0.1.3.ebuild31
1 files changed, 31 insertions, 0 deletions
diff --git a/dev-python/flask-uploads/flask-uploads-0.1.3.ebuild b/dev-python/flask-uploads/flask-uploads-0.1.3.ebuild
new file mode 100644
index 00000000000..41504bd8b6a
--- /dev/null
+++ b/dev-python/flask-uploads/flask-uploads-0.1.3.ebuild
@@ -0,0 +1,31 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+PYTHON_COMPAT=( python2_7 pypy )
+
+inherit distutils-r1
+
+DESCRIPTION="Flexible and efficient upload handling for Flask"
+HOMEPAGE="http://pythonhosted.org/Flask-Testing/
+ https://pypi.python.org/pypi/Flask-Testing/"
+MY_PN="Flask-Uploads"
+MY_P="${MY_PN}-${PV}"
+SRC_URI="mirror://pypi/${MY_P:0:1}/${MY_PN}/${MY_P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="amd64 x86"
+IUSE="test"
+
+RDEPEND=">=dev-python/flask-0.5[${PYTHON_USEDEP}]"
+DEPEND="${RDEPEND}
+ dev-python/setuptools[${PYTHON_USEDEP}]
+ test? ( dev-python/nose[${PYTHON_USEDEP}] )"
+
+S="${WORKDIR}/${MY_P}"
+
+python_test() {
+ nosetests || die "Testing failed with ${EPYTHON}"
+}